# norootforbuild

Name:		work-break
Version:	1.0.0
Release:	1.9
License:	LGPLv2+
Vendor:		Petr Vanek <petr@yarpen.cz>
Url:		https://github.com/pvanek/work-break
Source:		%{name}-%{version}.tar.bz2
Group:		System/X11/Utilities
Summary:	Work break notifier
BuildRequires:	gcc-c++ cmake pkgconfig(QtGui) pkgconfig(QtDBus)
%if 0%{?suse_version}
BuildRequires:	update-desktop-files
%endif  
Prefix:		/usr

%description
I had serious issues - body collapses - when I worked on some IT projects near
deadlines. You know it probably. Hours and hours of bug hunting, code
reviewing, reporting etc. under stress.
After some medical examinations I was told some mystical phrases about veins
and veins pressure and more. Doc said everything should be better taking
regular short breaks in the working time.
So here is a tool which Works For Me (tm). take it or let it be...

%prep
%setup


%build
cmake . -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=release
make


%install
%{__rm} -rf %{buildroot}
make DESTDIR=%{buildroot} install

%if 0%{?suse_version} 
%suse_update_desktop_file -r %{name} Utility DesktopUtility
%endif


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc COPYING README AUTHORS
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog
* Thu Mar 07 2013 Shawn W Dunn <sfalken@fuduntu.org> - Version:1.0.0-Release:1.9
- Built for Fuduntu

* Mon Feb 25 2013 %packager Shawn W Dunn <sfalken@gmail.com> - Version:1.0.0-Release:1.9
- Built for Fuduntu

* Mon Aug  6 2012 petr@scribus.info
- initial OBS import
